Bug 1667039 - Random dependency of fonts by libreoffice-langpack-*
Summary: Random dependency of fonts by libreoffice-langpack-*
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1670375
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-17 09:57 UTC by Akira TAGOH
Modified: 2019-06-13 03:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 09:36:06 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2019-01-17 09:57:35 UTC
Description of problem:
Having lines of "Requires: font(:lang=...)" causes a font package installed randomly and unpredictable. this doesn't necessarily provide better result.
So those lines should be replaced by real font packages or langpacks-* to get fonts installed.

Version-Release number of selected component (if applicable):
libreoffice-6.1.4.2-1.fc30

Comment 1 Caolan McNamara 2019-01-17 11:19:16 UTC
The require as it currently stands just ensures that to install a libreoffice-LANG you will also need a font that supports LANG without prescribing what font that should be, so that the UI can at least be rendered without missing glyphs. I think its impracticable and undesirable to maintain a list of potentially ~70 fonts in libreoffice itself. 

Before F30 dnf langpacks-LANG metapackages don't require any fonts, e.g.

rpm -q langpacks-th
langpacks-th-1.0-13.fc29.noarch
rpm -q --whatprovides "font(:lang=th)"
no package provides font(:lang=th)

And the only place we currently list the "best" fonts for a language are in comps https://pagure.io/fedora-comps/blob/master/f/comps-f29.xml.in

But I see that https://fedoraproject.org/wiki/Changes/Replace_Comps_Language_Group_With_Langpacks targeted at F30 plans to change how this works.

caolanm->pnemade/peterson: I presume the replacement of comps with langpacks isn't actually done yet and there isn't a tracker bug for it ?

Comment 2 Akira TAGOH 2019-01-18 04:39:25 UTC
(In reply to Caolan McNamara from comment #1)
> The require as it currently stands just ensures that to install a
> libreoffice-LANG you will also need a font that supports LANG without
> prescribing what font that should be, so that the UI can at least be
> rendered without missing glyphs.

This assumption isn't necessarily true. that's why I replaced font(:lang=en) dep in fontconfig to explicit dep of dejavu-sans-fonts. there might be similar issues in other fonts. this is because the orthographic files in fontconfig is vaguely defined as its design. this also doesn't ensure the quality of rendering too. I'm somehow pondering to improve it though.

>                                  I think its impracticable and undesirable
> to maintain a list of potentially ~70 fonts in libreoffice itself. 

Yes, I understand that. so the above suggestion.

Comment 3 Parag Nemade 2019-01-18 04:48:28 UTC
(In reply to Caolan McNamara from comment #1)
> The require as it currently stands just ensures that to install a
> libreoffice-LANG you will also need a font that supports LANG without
> prescribing what font that should be, so that the UI can at least be
> rendered without missing glyphs. I think its impracticable and undesirable
> to maintain a list of potentially ~70 fonts in libreoffice itself. 
> 
> Before F30 dnf langpacks-LANG metapackages don't require any fonts, e.g.
> 
> rpm -q langpacks-th
> langpacks-th-1.0-13.fc29.noarch
> rpm -q --whatprovides "font(:lang=th)"
> no package provides font(:lang=th)
> 
> And the only place we currently list the "best" fonts for a language are in
> comps https://pagure.io/fedora-comps/blob/master/f/comps-f29.xml.in
> 
> But I see that
> https://fedoraproject.org/wiki/Changes/
> Replace_Comps_Language_Group_With_Langpacks targeted at F30 plans to change
> how this works.
> 
> caolanm->pnemade/peterson: I presume the replacement of comps with langpacks
> isn't actually done yet and there isn't a tracker bug for it ?

Yes we have not done yet any replacement in comps file. Once FESCo gives approval for this change, I will first implement this Change in langpacks.spec to pull fonts and ime packages. Then we will do some testing for sometime and then will remove language support groups from comps file.

The Change bug tracker will be created once FESCo provides approval for the proposed F30 Change.

Comment 4 Caolan McNamara 2019-01-18 08:53:51 UTC
lets wait until then and see if that provides a way out of this

Comment 5 Caolan McNamara 2019-06-11 09:27:40 UTC
There doesn't seem to be a Southern Sotho (st) langpack though there is a Northern Sotho (nso) one, not sure if that is deliberate or not

Comment 6 Jens Petersen 2019-06-12 05:25:28 UTC
Do please request langpack for Southern Sotho: currently we are creating them on a need basis (on demand).

Comment 7 Parag Nemade 2019-06-13 03:53:14 UTC
We are creating langpacks packages for any language with criteria that it should have /usr/share/locale/*/LC_MESSAGES/anaconda.mo translation available, then as per popularity of languages, then if someone requests and atleast one language package exists for that language. 

I see that hunspell-st exists, so we can add langpacks-st. The reason langpacks-nso exists is because of anaconda translation.


Note You need to log in before you can comment on or make changes to this bug.